
Redmine - Defect #21405

Timezone configs broke down on ubuntu and redmine giving Internal error

2015-12-02 19:42 - Kenan Emre ÜSTÜNDAĞ

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

when i changing timezone settings, it's broke down. And when i try open redmine give me;

----------------------------------------------------------------------------------------

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

----------------------------------------------------------------------------------------

but some pages can opening.

my production log is;

----------------------------------------------------------------------------------------------

Connecting to database specified by database.yml

Creating scope :system. Overwriting existing method Enumeration.system.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :sorted. Overwriting existing method User.sorted.

Started GET "/redmine/" for 77.79.95.150 at 2015-12-02 18:18:54 +0000

Processing by WelcomeController#index as HTML

Current user: kenanemreu (id=7)

Rendered welcome/index.html.erb within layouts/base (458.6ms)

Completed 500 Internal Server Error in 1146.7ms

ActionView::Template::Error (Expected 44 bytes reading '/usr/share/zoneinfo/Europe/Istanbul', but got 8 bytes):

20:     <% for project in Projects Projects >

21:       < Herve Harster = project >

22:       <li>

23:       <= link_to_project project > (<= format_time(project.created_on) >)

24:       <= textilizable project.short_description, :project => project >

25:       </li>

26:     < end %>

lib/redmine/i18n.rb:60:in `format_date'

lib/redmine/i18n.rb:71:in `format_time'

app/views/welcome/index.html.erb:23:in `block in app_views_welcome_index_html_erb__381727932832886209_35426760'

app/views/welcome/index.html.erb:20:in `each'

app/views/welcome/index.html.erb:20:in `_app_views_welcome_index_html_erb___381727932832886209_35426760'

--------------------------------------------------------------------------

History

#1 - 2015-12-03 05:11 - Toshi MARUYAMA

- Category deleted (Website (redmine.org))

- Assignee deleted (Jean-Philippe Lang)

- Priority changed from Urgent to Normal

- Affected version deleted (0.7)

See Submissions.
#2 - 2015-12-06 17:27 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#3 - 2021-09-20 07:07 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Probably the zone info data /usr/share/zoneinfo/Europe/Istanbul on your Ubuntu is corrupted. Please try again after reinstalling tzdata package.
